Skip to main content
POST
Create Customer Pricelist

Authorizations

Authorization
string
header
required

Company API key from the developer platform. Header: Authorization: Bearer cw_live_…. Key must include customers:read and/or customers:write.

Body

application/json
sourcePriceListId
string<uuid>
required
customerId
string<uuid>
required
name
string
required
Required string length: 1 - 255
includeAll
boolean

Set true to clone every SKU. When omitted or false, skuSelections is required.

skuSelections
Required when includeAll is not true · object[]

Required when includeAll is not true.

chargeRemovals
string<uuid>[]

Response

201 - application/json
data
object
required